|
Menu location |
---|
3D/BIM → Reinforcement tools → Helical Rebar |
Workbenches |
Reinforcement, BIM |
Default shortcut |
None |
Introduced in version |
0.17 |
See also |
None |
Description
The Reinforcement HelicalRebar tool allows the user to create a continuous helical reinforcing bar inside an Arch Structure object.
This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.
One continuous helical reinforcement bar inside an Arch Structure
Usage
- Select any face of a previously created
Arch Structure object.
- Then select
Helical Rebar from the rebar tools.
- A task panel will pop-out on the left side of the screen as shown below.
- Select the desired orientation.
- Populate the inputs like 'Left Cover', 'Right Cover', 'Top Cover', 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
- Select the mode of distribution either 'Amount' or 'Spacing'.
- If 'Spacing' is selected, a user can also opt for custom spacing.
- Pick Selected Face is used to verify or change the face for rebar distribution.
- Click OK or Apply to generate the rebars.
- Click Cancel to exit the task panel.
Task panel for the tool
Properties
- DataSide Cover: The distance between rebar to the curved face.
- DataTop Cover: The distance between rebar from the top face of the structure.
- DataBottom Cover: The distance between rebar from the bottom face of the structure.
- DataPitch: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
- DataDiameter: Diameter of the rebar.
Scripting
See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.
The Reinforcement HelicalRebar tool can be used in macros and from the Python console by using the following function:
Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
- Creates a
Rebar
object from the givenstructure
, which is an Arch Structure, andfacename
, which is a face of that structure.- If no
structure
norfacename
are given, it will take the user selected face as input.
- If no
s_cover
,b_cover
, andt_cover
are inner offset distances for the rebar with respect to the faces of the structure. They are respectively the side, bottom, and top offsets.diameter
is the diameter of the reinforcement spiral inside the structure.pitch
is the parameter that determines how close or far apart each spiral loop is to each other.
Example
import FreeCAD, Draft, Arch, HelicalRebar
Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")
Edition of the rebar
You can change the properties of the rebar with the following function
editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
Rebar
is a previously createdHelicalRebar
object.- The other parameters are the same as required by the
makeHelicalRebar()
function. structure
andfacename
may be omitted so that the rebar stays in the original structure.
import HelicalRebar
HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)
This page is retrieved from https://wiki.freecad.org/Reinforcement_HelicalRebar